<?php
/*
** This file contain all things for the events post type, like shortcodes and functions
**
** To this posttype belongs this files:
**
** - event-list.php
** - events-entry.php
** - single-events.php
** - events-grid.php
**
*/

function events_register() 
	{  
    	$args = array(  
        	'label' => 'Events',  
        	'singular_label' => 'Events',  
        	'public' => true,  
        	'show_ui' => true,  
        	'capability_type' => 'post',  
        	'hierarchical' => false,  
        	'rewrite' => true,  
        	'supports' => array('title', 'editor', 'thumbnail','post-types') ,
		'show_in_menu' => true  ,
		 'menu_position' => null,
       	);  
    	register_post_type( 'events' , $args );  
	}  
	add_action('init', 'events_register');  




/*
** META BOX
*/


add_action("admin_init", "events_meta_box"); 

function events_meta_box()
	{  
	add_meta_box("eventsInfo-meta", "Events Options", "events_meta_options", "events", "side", "low");  
	}   
function events_meta_options()
	{  
	        global $post;  
	        if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id;
	        $custom = get_post_custom($post->ID);  

		if(isset($custom["events_start_date"][0]))
			{
		             $events_start_date = $custom["events_start_date"][0];    
			}
		if(isset($custom["events_end_date"][0]))
			{
		        	$events_end_date = $custom["events_end_date"][0];    		
			}
		if(isset($custom["events_start_time"][0]))
			{
		        	$events_start_time = $custom["events_start_time"][0];    		
			}
		if(isset($custom["events_end_time"][0]))
			{
		        	$events_end_time = $custom["events_end_time"][0];    		
			}

		if(isset($custom["events_location"][0]))
			{
		        	$events_location = $custom["events_location"][0];    		
			}
		if(isset($custom["events_fb_eventlink"][0]))
			{
		        	$events_fb_eventlink = $custom["events_fb_eventlink"][0];    		
			}
	?>  
	<ul>
		<li><label for="events_start_date">Event start date: </label><input name="events_start_date" value="<?php if(isset($events_start_date)) { echo $events_start_date; } ?>" /></li>
		<li><label for="events_end_date">Event end date: </label><input name="events_end_date" value="<?php if(isset($events_end_date)) { echo $events_end_date; } ?>" /></li>
		<li><label for="events_start_time">Event start time: </label><input name="events_start_time" value="<?php if(isset($events_start_time)) { echo $events_start_time; } ?>" /></li>
		<li><label for="events_end_time">Event end time: </label><input name="events_end_time" value="<?php if(isset($events_end_time)) { echo $events_end_time; } ?>" /></li>
		<li><label for="events_location">Location: </label><input name="events_location" value="<?php if(isset($events_location)) { echo $events_location; } ?>" /></li>
		<li><label for="events_fb_eventlink">Link to Facebook Eventspage: </label><input name="events_fb_eventlink" value="<?php if(isset($events_fb_eventlink)) { echo $events_fb_eventlink; } ?>" /></li>
	</ul>
	<?php  
	}  

function save_events_meta()
	{  
	    global $post;  
	    if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE )
		{ 
		return $post_id;
		}	
		else
			{
			if(isset($_POST["events_start_date"]))
				{
			    	update_post_meta($post->ID, "events_start_date", $_POST["events_start_date"]);  
				}
			if(isset($_POST["events_end_date"]))
				{
			    	update_post_meta($post->ID, "events_end_date", $_POST["events_end_date"]);  
				}
			if(isset($_POST["events_start_time"]))
				{
			    	update_post_meta($post->ID, "events_start_time", $_POST["events_start_time"]);  
				}
			if(isset($_POST["events_end_time"]))
				{
			    	update_post_meta($post->ID, "events_end_time", $_POST["events_end_time"]);  
				}
			if(isset($_POST["events_location"]))
				{
			    	update_post_meta($post->ID, "events_location", $_POST["events_location"]);  
				}
			if(isset($_POST["events_fb_eventlink"]))
				{
			    	update_post_meta($post->ID, "events_fb_eventlink", $_POST["events_fb_eventlink"]);  
				}
			} 
		}   
	add_action('save_post', 'save_events_meta');  







 




/*
** SHORTCODES
*/





///////////////////////
/////////// EVENT SLIDER
//////////////////////

function eventslider($atts, $content=null)
	{
	extract(shortcode_atts(array(
	'buttons'=>true,
	'speed'=>'1000',
	'width'=>'',
	'height'=>'',
	'easing'=>'',
	'items'=>'10',
	'price'=>'false',
	'itemsforward'=>'4',
	'pauseonhover'=>'true', 
	'direction'=>'left',
	'columns'=>'3',
	'showtext'=>'false',
	'readmore'=>'false',
	'headline'=>'false',
	'right'=>'20',
	'number'=>'10',
	'direction'=>'left',
	'auto'=>'false'
	    ), $atts));
	$return="";
	$ix="";
	if($speed=="")	
		{
		$speed="1000";
		}

	$price_name=load_option("price_name");
	$price_currency=load_option("price_currency");
	$rand=substr(str_shuffle(str_repeat('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz',5)),0,5);
	$return="<div id='carousel-".$rand."' class='carousel-container'>";
	$half_height=$height/2;	
	$return.="<style type='text/css' scoped><!-- #".$rand." .event-lists-item-shortcode {display:inline-block; width:".$width."px; margin-right:".$right."px;}";
	$return.=" #carousel-".$rand."  .carousel-nav {top:".$half_height."px;}";
	if($height!="")
		{
		$return.=" #".$rand." {height:".$height."px;} #".$rand." > li, #".$rand." > div {  height:".$height."px;}";
		}
	if($width!="")
		{
		$return.=" #".$rand." > ul > li, #".$rand." > div {width:".$width."px; }";
		}
	$return.="--></style>";	
	if($buttons=="true")
		{	
		$return.="<a id='".$rand."-prev' class='carousel-nav carousel-nav-prev' onclick='return false' href='#'>&lt;</a>
			<a id='".$rand."-next' class='carousel-nav carousel-nav-next' onclick='return false' href='#'>&gt;</a>";
		}
	$return.="<ul class='carousel' id='".$rand."'>";



	switch ($columns)
		{
		case 1: $cols=""; break;
		case 2: $cols="one_half"; break;
		case 3: $cols="one_third"; break;
		case 4: $cols="one_fourth"; break; 
		}
	$args = array( 'numberposts' => $number, 'post_type'=>'events','post_status' => 'publish');
	global $post;
	$myposts = get_posts( $args );
	foreach( $myposts as $post ) :	setup_postdata($post);  
	$ix++; 	
	$title= str_ireplace('"', '', trim(get_the_title()));
	$desc= str_ireplace('"', '', trim(get_the_content()));			 
	$return.='	<li class="ex-'.$cols.  ' event-lists-item-shortcode">'; 
    	ob_start();  
    	get_template_part("events-entry");  
    	$ret = ob_get_contents();  
    	ob_end_clean();  
   	$return.= $ret;   
	endforeach;
	wp_reset_query();
	$return.="</ul>";
	$return.="<script type='text/javascript'>
		<!--//--><![CDATA[//><!--
		jQuery(window).load(function()
			{
			jQuery('#carousel-".$rand." .carousel ').carouFredSel({
				items               	: ".$items.",
				direction           	: '".$direction."',
				";
			if($height!="")
				{
				$return.="height		: '".$height."', "; 
				}
	$return.="				
				prev		: '#".$rand."-prev',
				next		: '#".$rand."-next',";
	if($auto!="true")
		{
		$return.="
				auto :
					{
					play:	false 
					},
			";
		}
	$return.="		scroll : 
					{	";
	if($easing!="")
		{
		$return.="	easing		: '".$easing."', ";
		}
	$return.="
		            			items           : ".$itemsforward.",
		            			duration        : ".$speed.",                  
	            				pauseOnHover    : true
	        				} 
				 });
			";
	if($height!="")
		{
		$return.="			jQuery('#".$rand."').parent().height('".$height."');";
		}
	$return.="
			});
		//--><!]]>
		</script>";
	$return.="</div>";
	$return.="<div class='clear'></div>";
	return $return;		
	}
	add_shortcode('eventslider', 'eventslider');

///////////////////
////// EVENTS GRID
///////////////////

function event_grid($atts, $content=null)
	{
	extract(shortcode_atts(array(  
	'items'=>'10', 
	'columns'=>'3', 
	    ), $atts)); 
	$return="";
	$group_cat="";
	$cols=$columns;
	ob_start();
	?>
		<div class="group">
		<div class="portfolio-itemlist-col<?php echo $cols; ?> group-itemlist-<?php echo $cols; ?>">
		<?php $ix=0; 
		query_posts(array( 'post_type' => 'events', 'paged' => get_query_var('paged'), 'posts_per_page'=>$items ,   'meal-type'=>$group_cat ) ); 
		?>
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<?php $ix++; ?>
			<?php
			if($ix>1)
				{
				$last="_last";
				$clear="<div class='clear'></div>";
				$ix=0;
				}
				else
					{
					$last="";	
					$clear="";
					}
			$title= str_ireplace('"', '', trim(get_the_title()));
			$desc= str_ireplace('"', '', trim(get_the_content()));
 
			?>
			<div class="portfolio-lists-item">
				<?php get_template_part("events-entry"); ?>
			</div>

		<?php 	
			$clear="";
			if($ix>=$cols)
				{
				$ix=0;
				$clear=" clear";
				}

			endwhile; 
		endif; ?>		 
		</div><!-- portfolio-itemlist-col2 -->
		<div class="clear"></div>
	</div><!-- group-->  

	<?php 
    	$ret = ob_get_contents();  
    	ob_end_clean();  
	wp_reset_query(); 
	$return.=$ret;
	return $return;
	}
	add_shortcode("event_grid","event_grid");




function add_eventslider_shortcode()
	{
	echo '				<h3><a href="#">Event Slider</a></h3>		
				<div>
					<label for="event_number">Number of Items</label>
					<input type="text" name="event_number" value="" id="event_number" /><br />
					<label for="event_items">Visible items</label>
					<input type="text" name="event_items" value="" id="event_items" /><br />	
					<label for="event_forward">Number of Items go forward</label>
					<input type="text" name="event_forward" value="" id="event_forward" /><br />
					<label for="event_width">Width of sliding element</label>
					<input type="text" name="event_width" value="" id="event_width" /><br />
					<label for="event_height">Height of sliding element</label>
					<input type="text" name="event_height" value="" id="event_height" /><br />
					<label for="event_right">Sliding element, distanze to the Right</label>
					<input type="text" name="event_right" value="" id="event_right" /><br />
					<label for="event_headline">Show Headline?</label>
					<input type="checkbox" name="event_headline" value="" id="event_headline" /><br />
					<label for="event_text">Show Text?</label>
					<input type="checkbox" name="event_text" value="" id="event_text" /><br />
					<label for="event_readmore">Show Readmore Button?</label>
					<input type="checkbox" name="event_readmore" value="" id="event_readmore" /><br /> 
					<label for="event_price">Show Price?</label>
					<input type="checkbox" name="event_price" value="" id="event_price" /><br /> 
					<label for="event_dir">Direction</label>
					<select name="event_dir" value="" id="event_dir" >
						<option></option>
						<option value="left">Left</option>
						<option value="right">Right</option>
						<option value="up">Up</option>
						<option value="down">Down</option>
					</select>
					<label for="event_auto">Autostart the Show?</label>
					<input type="checkbox" name="event_auto" value="" id="event_auto" /><br /> 
					<label for="event_speed">Pause between Change in Millisecondes</label>
					<input type="text" name="event_speed" id="event_speed"><br />
					<label for="event_cat">Show only Items from this Category:</label>
					<input type="text" name="event_cat" id="event_cat"><br />
					<br />
					<a href="javascript:EventDialog.insert(EventDialog.local_ed)" class="updateButton" style="display: block; line-height: 24px;">Insert</a>
				</div>';
	}
add_action("shortcode_generator_contentslider_tab","add_eventslider_shortcode");






function add_eventslider_shortcode_script()	
	{
	echo "<script type='text/javascript'> 
	var EventDialog = {
	local_ed : 'ed',
	init : function(ed) {
	EventDialog.local_ed = ed;
		tinyMCEPopup.resizeToInnerSize();
	},
	insert : function insertevent(ed) {
		var event_number = jQuery('#event_number').val();	 
		var event_items = jQuery('#event_items').val();	
		var event_forward = jQuery('#event_forward').val();	
		var event_width = jQuery('#event_width').val();	
		var event_height = jQuery('#event_height').val();	
		var event_right = jQuery('#event_right').val();	
		var event_dir = jQuery('#event_dir').val();
		var event_auto=jQuery('#event_auto').val();
		var event_speed=jQuery('#event_speed').val();
		if(jQuery('#event_auto').is(':checked'))	 
			{
			var event_auto='true';
			} 
		if(jQuery('#event_headline').is(':checked'))	 
			{
			var event_headline='true';
			}
		if(jQuery('#event_text').is(':checked'))	 
			{
			var event_text='true';
			}
		if(jQuery('#event_readmore').is(':checked'))	 
			{
			var event_readmore='true';
			}
		if(jQuery('#event_price').is(':checked'))	 
			{
			var event_price='true';
			}
		var output = '';
		output = '[eventslider speed=\''+event_speed+'\' auto=\''+event_auto+'\'   direction=\''+event_dir+'\' items=\''+event_items+'\' number=\''+event_number+'\' itemsforward=\''+event_forward+'\' width=\''+event_width+'\' height=\''+event_height+'\' right=\''+event_right+'\' ]';			
		tinyMCEPopup.execCommand('mceInsertContent', false, output);
		tinyMCEPopup.close();
	}
	};
	tinyMCEPopup.onInit.add(EventDialog.init, EventDialog); 
	</script>";
	}
add_action("shortcode_generator_scripts","add_eventslider_shortcode_script");


/*
** DEFAULT METABOX
*/
add_action( 'add_meta_boxes', 'events_add_custom_box' ); 

function events_add_custom_box() 
	{
	add_meta_box( 'choose_your_options',  'Custom Options','cbg_inner_custom_box', 'events','normal','high' ); 
	}

  
?>