<?php 
require_once ( get_stylesheet_directory() . '/data/profile_presets.php' );
require_once ( get_stylesheet_directory() . '/data/options.php' );
require_once ( get_stylesheet_directory() . '/data/profile.php' );
require_once ( get_stylesheet_directory() . '/data/options-page.php' );
require_once ( get_stylesheet_directory() . '/data/crop.php' );
require_once ( get_stylesheet_directory() . '/data/shortcodes.php' );
require_once ( get_stylesheet_directory() . '/data/widgets.php' );
require_once ( get_stylesheet_directory() . '/data/sidebars.php' );
require_once ( get_stylesheet_directory() . '/slider/allslider.php' );
require_once ( get_stylesheet_directory() . '/slider/allslider_settings.php' );
require_once ( get_stylesheet_directory() . '/data/cufon.php' );
require_once ( get_stylesheet_directory() . '/data/callscripts.php' ); 
require_once ( get_stylesheet_directory() . '/data/posttype-client.php' ); 
require_once ( get_stylesheet_directory() . '/data/posttype-testimonial.php' ); 
require_once ( get_stylesheet_directory() . '/data/posttype-team.php' ); 
require_once ( get_stylesheet_directory() . '/data/posttype-portfolio.php' );  
require_once ( get_stylesheet_directory() . '/data/posttype-mapr.php' ); 
require_once ( get_stylesheet_directory() . '/data/posttype-events.php' ); 
require_once ( get_stylesheet_directory() . '/data/class-tgm-plugin-activation.php' ); 
require_once ( get_stylesheet_directory() . '/data/extend-posttype-ease-rooms.php' ); 

// TRANSLATION

load_theme_textdomain('sevenleague',get_template_directory() . '/languages');



add_action( 'wp_enqueue_scripts', 'register_plugin_styles' );
function register_plugin_styles() 
	{ 
//	wp_deregister_style('easy-frontend' );
//	wp_deregister_style('easy-form-little' );
	wp_deregister_style('easy-form-none' );
	wp_deregister_style('easy-form-blue' );
	}

 
function my_the_content_filter($content) 
	{ 
	$content=str_replace("<h1>","<h1><span>",$content);
	$content=str_replace("</h1>","</span></h1>",$content);

	$content=str_replace("<h2>","<h2><span>",$content);
	$content=str_replace("</h2>","</span></h2>",$content);

	$content=str_replace("<h3>","<h3><span>",$content);
	$content=str_replace("</h3>","</span></h3>",$content);

  	return $content;
	}

add_filter( 'the_content', 'my_the_content_filter' );



function handle_pal_viewport_in()
	{
	echo '<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1" />';
	}
add_action("wp_head","handle_pal_viewport_in");


function wr_wp_get_attachment( $attachment_id ) {

	$attachment = get_post( $attachment_id );
	return array(
		'alt' => get_post_meta( $attachment->ID, '_wp_attachment_image_alt', true ),
		'caption' => $attachment->post_excerpt,
		'description' => $attachment->post_content,
		'href' => get_permalink( $attachment->ID ),
		'src' => $attachment->guid,
		'title' => $attachment->post_title
	);
}















function check_posttype($type)
	{
	// THIS FUNCTIONS CHECK IF A POSTTYPE IS ACTIVE OR NOT. THIS REDUCE ERRORS WHILE USING AN INACTIVE POSTTYPE
	if(load_option("posttype_".$type)=="on")
		{
		return;
		}
		else
			{
			echo "<div class='error'><p>This Posttype is not active. Please go to the adminpanel and actived this posttype for using.</p></div>";
			get_footer();
			die();
			}
	}















function get_post_thumbnail_caption() 
	{
  	global $post;
	$thumbnail_id    = get_post_thumbnail_id($post->ID);
	$thumbnail_image = get_posts(array('p' => $thumbnail_id, 'post_type' => 'attachment'));
	if ($thumbnail_image && isset($thumbnail_image[0])) 
		{
		if($thumbnail_image[0]->post_excerpt!="")
			{
	    		return '<p class="featured_image_caption"><span>'.$thumbnail_image[0]->post_excerpt.'</span></p>';
			}
  		}
	}
function get_post_thumbnail_description() 
	{
  	global $post;
	$thumbnail_id    = get_post_thumbnail_id($post->ID);
	$thumbnail_image = get_posts(array('p' => $thumbnail_id, 'post_type' => 'attachment'));
	if ($thumbnail_image && isset($thumbnail_image[0])) 
		{
		if($thumbnail_image[0]->post_content)
			{
	    		return '<p class="featured_image_description"><span>'.$thumbnail_image[0]->post_content.'</span></p>';
			}
  		}
	}








if(load_option("hide_wp")=="on")
	{
	require_once ( get_stylesheet_directory() . '/data/anonym.php' ); 
	}


function the_template()
	{
	global $post;
	$custom = get_post_custom($post->ID);  
	if(isset($custom['page_type_class'][0]))
		{
		$page_type_class=$custom['page_type_class'][0]; 
		}	
		else
			{
			$page_type_class="page-sidebar-right";
			}
	if(is_archive() OR is_404())
		{
		$page_type_class="page-sidebar-right";
		}
	return $page_type_class;
	}


/* LOAD THE OPTION */
function load_option($name=null)
	{
	global $shortname; 
	$val=get_option($shortname."_".$name);
	return $val;
	}

function load_logo()
	{
	if(load_option("custom_logo")!="")
		{
		return "<img src='".load_option("custom_logo")."' alt='' />";
		}
		else
			{
			return "<p id='pagename'>".get_bloginfo('name')."</p><p id='pageslogan'>".get_bloginfo('description')."</p>";			
			}
	}
 
function categories_postcount_filter ($variable) 
	{
	$variable = str_replace('(', '<span class="post-count"> ', $variable);
	$variable = str_replace('&nbsp;','', $variable);
	$variable = str_replace(')', ' </span>', $variable);
	$variable = str_replace('0</li>', '', $variable);
   	return $variable;
	}
add_filter('wp_list_categories','categories_postcount_filter');
add_filter('get_archives_link','categories_postcount_filter');
add_filter('get_links_list','categories_postcount_filter');
add_filter('get_bookmarks','categories_postcount_filter');
add_filter('wp_list_bookmarks','categories_postcount_filter'); 
 

add_theme_support( 'automatic-feed-links' );
add_theme_support( 'post-thumbnails' ); 
if ( ! isset( $content_width ) ) $content_width = 980;



// ADD A PREVIEW IMAGE TO THE ADMIN POST VIEW
add_filter('manage_posts_columns', 'posts_columns', 5);
add_action('manage_posts_custom_column', 'posts_custom_columns', 5, 2);
add_action('manage_pages_custom_column', 'posts_custom_columns', 5, 2);
function posts_columns($defaults)
	{
    	$defaults['post_thumbs'] = "Image";
    	return $defaults;
	}


function posts_custom_columns($column_name, $id)
	{
	if($column_name === 'post_thumbs')
		{
        		echo the_post_thumbnail('icon');
    		}
	}


function check_color($color, $used_colors)
	{
	global $used_colors;
		if(!in_array($color,$used_colors))
			{
			return $color;
			}
			else
				{
				return "";
				}
	}


global $options;
foreach ($options as $value) 
	{
	if (isset($value['id']) && get_option( $value['id'] ) != FALSE ) 
		{
	            	$$value['id'] = get_option( $value['id'] ); 
		}
	}



function darker_color($color, $dif=30) 
	{
	$color = str_replace('#', '', $color);
    	if (strlen($color) != 6){ return '000000'; }
    	$rgb = '';
 	for ($x=0;$x<3;$x++)
		{
        		$c = hexdec(substr($color,(2*$x),2)) - $dif;
        		$c = ($c < 0) ? 0 : dechex($c);
        		$rgb .= (strlen($c) < 2) ? '0'.$c : $c;
    		}
 	return '#'.$rgb;
	}     





function the_excerpt_length( $length ) 
	{
	return 5;
	}
	add_filter( 'excerpt_length', 'the_excerpt_length' );




function continue_reading_link() 
	{
	return ' <a href="'. esc_url( get_permalink() ) . '"><span class="meta-nav">&rarr;</span></a>';
	}


add_filter('the_category', 'remove_category_rel'); 
function remove_category_rel($string)	
	{ 
    	return str_replace('rel="category tag"', '', $string);
	}



function auto_excerpt_more( $more ) 
	{
	return ' &hellip;' .  continue_reading_link();
	}
	add_filter( 'excerpt_more', 'auto_excerpt_more' );




function custom_excerpt_more( $output ) 
	{
	if ( has_excerpt() && ! is_attachment() ) 
		{
		$output .=  continue_reading_link();
		}
		return $output;
	}
	add_filter( 'get_the_excerpt', 'custom_excerpt_more' );





function custom_excerpt_length( $length ) 
	{
	return 25;
	}
	add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );





/*
** LOAD CUSTOM STYLE IN ADMIN - SECTION
*/

function cayman_admin_head() 
	{
	$aurl=get_template_directory_uri();
	$echo= '<link rel="stylesheet" type="text/css" href="'.$aurl;
	$echo.='/data/css/admin.css">';
	$echo2='<script type="text/javascript" src="'.$aurl;
	$echo2.='/data/script/admin.js"></script>';
	echo $echo.$echo2;
	}
	add_action('admin_head', 'cayman_admin_head');










/*
** EXCUTE SHORTCODES IN WIDGETS
*/
add_filter('widget_text', 'do_shortcode'); // EXECUTE SHORTSCODES IN WIDGETS




/*
** BREADCRUMB FUNCTION
*/

function oitheme_breadcrumbs() 
	{ 
	$space = '&raquo;';
	$home = 'Home'; 
	$before = '<span class="breadcrumb_current">'; 
	$after = '</span>'; 
	$oi_home_link=home_url();
	$homeLink=$oi_home_link;

echo '<a href="' . $oi_home_link . '">' . $home . '</a> ' . $space . ' '; 
if ( !is_home() && !is_front_page() || is_paged() ) 
	{    
	global $post, $options;
	$oi_home_link = home_url();

	if ( is_category() ) 
		{
		global $wp_query;
		$cat_obj = $wp_query->get_queried_object();
		      $thisCat = $cat_obj->term_id;
		      $thisCat = get_category($thisCat);
		      $parentCat = get_category($thisCat->parent);
		      if ($thisCat->parent != 0) 
				{
				echo(get_category_parents($parentCat, TRUE, ' ' . $space . ' '));
				}
		echo $before . 'Archive "' . single_cat_title('', false) . '"' . $after; 
    		} 
		elseif ( is_day() ) 
			{
			      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $space . ' ';
			      echo '<a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $space . ' ';
			      echo $before . get_the_time('d') . $after; 
			    } 
		elseif ( is_month() ) 
			{
      			echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $space . ' ';
      			echo $before . get_the_time('F') . $after; 
    			}
		elseif ( is_year() ) 
			{
      			echo $before . get_the_time('Y') . $after; 
			}
		elseif ( is_single() && !is_attachment() ) 
			{
      			if ( get_post_type() != 'post' ) 
				{
        				$post_type = get_post_type_object(get_post_type());
        				$slug = $post_type->rewrite;
        				echo '<a href="' . $homeLink . '/' . $slug['slug'] . '/">' . $post_type->labels->singular_name . '</a> ' . $space . ' ';
        				echo $before . get_the_title() . $after;
      				} 
		else 
			{
        			$cat = get_the_category(); $cat = $cat[0];
        			echo get_category_parents($cat, TRUE, ' ' . $space . ' ');
        			echo $before . get_the_title() . $after;
      			} 
    		} 
	elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) 
		{
      		$post_type = get_post_type_object(get_post_type());
      		echo $before . $post_type->labels->singular_name . $after; 
    		} 
	elseif ( is_page() && !$post->post_parent ) 
		{
      		echo $before . get_the_title() . $after; 
    		}
	elseif ( is_page() && $post->post_parent ) 
		{
     		$parent_id  = $post->post_parent;
      		$breadcrumbs = array();
      		while ($parent_id) 
			{
       			$page = get_page($parent_id);
        			$breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
        			$parent_id  = $page->post_parent;
      			}
      		$breadcrumbs = array_reverse($breadcrumbs);
      		foreach ($breadcrumbs as $crumb) echo $crumb . ' ' . $space . ' ';
      		echo $before . get_the_title() . $after; 
    		} 
	elseif ( is_search() ) 
		{
      		echo $before . 'Search results for "' . get_search_query() . '"' . $after; 
    		} 
	elseif ( is_tag() ) 
		{
      		echo $before . 'Posts tagged "' . single_tag_title('', false) . '"' . $after; 
    		}
	elseif ( is_author() ) 
		{
       		global $author;
      		$userdata = get_userdata($author);
      		echo $before . 'Articles posted by ' . $userdata->display_name . $after; 
    		} 
	elseif ( is_404() ) 
		{
      		echo $before . 'Error 404' . $after;
    		} 
    	if ( get_query_var('paged') ) 
		{
      		echo $space.'<span>Page' . ' ' . get_query_var('paged') .'</span>';
    		} 
  	}
} 

///////////////////////////////////////////// END BREADCRUMP





/* 
** FUNCTION PRINT_OPTION, Check if string is empty, if not: Output the String with Before and After, Used in customcss.php
*/
function print_option($before,$tstring,$after, $alternatestring=null)
	{
	if(!empty($tstring) )
		{
		if($tstring!="false")
			{
			if(($tstring!="") AND ($tstring!=" "))
				{
			echo " $before";
			if(($tstring!="on") AND ($alternatestring=="")  ) 
				{ 
				echo "$tstring"; 
				} 
				else 
					{ 
					echo $alternatestring; 
					}
			echo "$after";
				}
			}
		}		
	}


/*
** FUNCTION SWITCH_TRUE, NEEDED IN CUSTOM.CSS AND OPTIONS.PHP
*/
function switch_true($string)
	{
	if($string=="on")
		{
		$return="true";
		}
		else
			{
			$return="false";
			}
	return $return;
	}






/*
** MENU
*/

if ( function_exists( 'register_nav_menus' ) ) {
	register_nav_menus(
		array(
		  'main_menu_1' => 'The Main Menu',  
		) 
	);
}





/*
**
** BACKGROUND META BOXES ON PAGES AND POSTS
**
*/

 
add_action( 'add_meta_boxes', 'cbg_add_custom_box' );
add_action( 'save_post', 'cbg_save_postdata' );
add_action( 'save_page', 'cbg_save_postdata' );

function cbg_add_custom_box() 
	{
	add_meta_box( 'choose_your_options',  'Custom Options','cbg_inner_custom_box', 'post' ,'normal','high');
	add_meta_box( 'choose_your_options',  'Custom Options','cbg_inner_custom_box', 'page','normal','high' ); 	
	add_meta_box( 'choose_your_options',  'Custom Options','cbg_inner_custom_box', 'portfolio','normal','high' ); 
	add_meta_box( 'choose_your_options',  'Custom Options','cbg_inner_custom_box', 'team','normal','high' );
	add_meta_box( 'choose_your_options',  'Custom Options','cbg_inner_custom_box', 'testimonial','normal','high' );  
	add_meta_box( 'choose_your_options',  'Custom Options','cbg_inner_custom_box', 'clients','normal','high' ); 
	add_meta_box( 'choose_your_options',  'Custom Options','cbg_inner_custom_box', 'easy-rooms','normal','high' ); 
	} 
function cbg_inner_custom_box( $post ) 
	{
	global $allslider_sliders, $slider, $options;
	foreach((array)$allslider_sliders as $key => $val) 
		{
		$sl_types[]=$val['name'];
		}
	echo "<style>.meta-box-content {margin:2px; padding:8px; border:1px solid #dcdcdc; }
			.meta-box-content input[type=text] {width:100%; display:block;}
			.meta-box-content h3 {cursor:pointer; margin:0px -8px !important;}
		</style>";
	$cbg=get_post_custom_values('cbg');   
	$content_centered=get_post_custom_values('content_centered');   

	$slideshow_name=get_post_custom_values('slideshow_name');
	$slider_type=get_post_custom_values('slider_type');

	$bgcolor=get_post_custom_values("bgcolor");
	$cx=get_post_custom_values("cx");
	$cx=$cx[0];
	$cy=get_post_custom_values("cy");
	$cy=$cy[0];
	$crep=get_post_custom_values("crep");
	$crep=$crep[0];
	$cfix=get_post_custom_values("cfix");
	$cfix=$cfix[0];
	$page_type_class=get_post_custom_values("page_type_class");
	$page_type_class=$page_type_class["0"];

	$show_headline=get_post_custom_values("show_headline"); 
	$hide_search=get_post_custom_values("hide_search");
	$second_headline=get_post_custom_values("second_headline");

	$group_items=get_post_custom_values("group_items");
	$group_columns=get_post_custom_values("group_columns");

	$the_sidebar=get_post_custom_values("the_sidebar");
	$the_sidebar=$the_sidebar[0];
	?>
	<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/css/jquery-ui.css" />
	<script type="text/javascript">
		jQuery(document).ready(function() {
		jQuery('.upload_image_button_cbg').click(function() {
		formfield = jQuery('.upload_image_cbg').attr('name');
		tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
		window.send_to_editor=window.send_to_editor_cbg;
		return false;
		});
		window.send_to_editor_cbg = function(html) {
		imgurl = jQuery('img',html).attr('src');
		jQuery('.upload_image_cbg').val(imgurl);
		tb_remove();
		}
	jQuery(".src_image").click(function()
		{
		var trigger;
		trigger=jQuery(this).prev().prev().attr('id');
		var url="<?php echo get_template_directory_uri(); ?>/data/load_bg.php?url=<?php echo get_template_directory_uri(); ?>&trigger="+trigger;
		jQuery("#src_load").load(url).dialog({modal:true,minWidth: 800,maxHeight: 400, height:500 }); 
		});
	jQuery(".tabs").tabs();
	});	
	</script>
	<div class='tabs'>
	<ul>
		<li><a href='#styling'>Styling</a></li>
		<li><a href='#slideshow'>Slideshows</a></li>
		<li><a href='#sidebars'>Sidebars</a></li>
		<li><a href='#headlines'>Headlines</a></li>
		<li><a href='#groups'>Group templates</a></li>
	</ul>
	<div id="styling">
	 	<div class="options-line">
			<div class="options-left"><label for="cbg">Custom Background:</label></div>
		       	<div class="options-right">
		            		<div class='clear-value'>x</div><input id="cbg" class="upload_image upload_image_cbg" type="text" size="36" name="cbg" value="<?php echo $cbg[0]; ?>" />
				<input class="upload_image_button_cbg" type="button" value="Upload Image" />
						<input class="src_image" type="button" value=" Sample " />
				<div>
					<span>Y-Axis: </span>
							<select name="cy" id="cy" >
								<option value="top" <?php if( $cy=="top") { echo " selected"; } ?> >Top</>
								<option value="center" <?php if( $cy=="center") { echo " selected"; } ?> >Center</>
								<option value="bottom" <?php if( $cy=="bottom") { echo " selected"; } ?> >Bottom</>					
							</select>
				<span>X-Axis: </span>
					<select name="cx" id="cx" >
						<option value="left" <?php if($cx=="left") { echo " selected"; } ?> >Left</>
						<option value="right" <?php if( $cx=="right") { echo " selected"; } ?> >Right</>
						<option value="center" <?php if( $cx=="center") { echo " selected"; } ?> >Center</>					
					</select>
				<span>Background-Repeat: </span>
					<select name="crep" id="crep" >
						<option value="repeat-x" <?php if( $crep=="repeat-x") { echo " selected"; } ?> >X</>
						<option value="repeat-y" <?php if( $crep=="repeat-y") { echo " selected"; } ?> >Y</>								
						<option value=""  <?php if( $crep=="") { echo " selected"; } ?> >All</>
						<option value="no-repeat" <?php if( $crep=="no-repeat") { echo " selected"; } ?> >No Repeat</>
					</select>
				<?php
				if($cfix=="on")	
					{ 
					$checked = " checked='checked' "; 
					$cclass=" checked";
					}
					else
						{
						$checked="";
						$cclass=" unchecked";
						} 
					?>
					<br /><br />	
					<div class="checkboxfake <?php echo $cclass; ?>" ><span style="margin-left:20px;">Background Fix</span></div>
				            	<input type="hidden" name="cfix" id="cfix" value="<?php echo $cfix; ?>" />
				</div>
				<div class="clear"></div>	
			</div>
		</div>
		<div class="options-line">
			<div class="options-left"><label for="cbg">Custom Backgroundcolor:</label></div>
		       	<div class="options-right">
		            		<div class='clear-value'>x</div><input id="bgcolor" class="color{required:false, hash:true,pickerClosable:true, adjust:false}" type="text" size="36" name="bgcolor" value="<?php echo $bgcolor[0]; ?>" /> 
			</div>
		</div>

	</div>
	<div id="slideshow">
		 <div class="options-line">
			<div class="options-left"><label for="slideshow_name">Slider type:</label></div>
		       	<div class="options-right">
			<?php echo "<select name='slider_type' id='slider_type'>
				<option></option>";
			$slider[]="Mapslider";
			for($i=0;$i<count($slider); $i++)
				{
				echo "<option value=".$slider[$i];
				if($slider[$i]==$slider_type[0])
					{
					echo " selected ";
					}
				echo ">".$slider[$i]."</option>";
				}
				echo "</select></label>"; ?>
			</div>
		</div>
		 <div class="options-line">
			<div class="options-left"><label for="slideshow_name">Slideshow source:</label></div>
		       	<div class="options-right">
			<?php echo "<select name='slideshow_name' id='slideshow_name'>
				<option></option>
				<option disabled value=''>Allslider Sources: </option>
				"; 
			for($i=0;$i<count($sl_types); $i++)
				{
				echo "<option value=".$sl_types[$i];
				if($sl_types[$i]==$slideshow_name[0])
					{
					echo " selected ";
					}

				echo ">".$sl_types[$i]."</option>";
				}
				echo "<option></option><option disabled value=''>Map Slider Sources: </option>";
				$terms = get_terms('maps-category');
				foreach ( $terms as $term ) 
					{
					echo "<option value='".$term->name."' ";
					if($term->name==$slideshow_name[0])
						{
						echo " selected ";
						}
					echo ">".$term->name."</option>";
					}
				echo "</select></label>"; ?>
			</div>
		</div>
	</div>
	<div id="sidebars">
	  	 <div class="options-line">
			<div class="options-left"><label for="page_type_class">Sidebar position:</label></div>
		       	<div class="options-right"> 
				<select name="page_type_class" id="page_type_class" > 
					<option value="page-sidebar-no-sidebar" <?php if( $page_type_class=="page-sidebar-no-sidebar") { echo " selected"; } ?> >No sidebar</>
					<option value="page-sidebar-left" <?php if( $page_type_class=="page-sidebar-left") { echo " selected"; } ?> >Sidebar left</>
					<option value="page-sidebar-right" <?php if( $page_type_class=="page-sidebar-right") { echo " selected"; } ?> >Sidebar right</>			 
				</select>
			</div>
		</div>
	  	 <div class="options-line">
			<div class="options-left"><label for="slider">Sidebar:</label></div>
		       	<div class="options-right"> 
				<select name='the_sidebar' id='the_sidebar'>
					<option></option>
					<?php foreach ( $GLOBALS['wp_registered_sidebars'] as $sidebar ) { ?>
					     <option value="<?php echo $sidebar['id']  ; ?>" <?php if($sidebar['id']==$the_sidebar){echo " selected ";} ?>><?php echo ucwords( $sidebar['name'] );  ?></option>
					<?php } ?>
		 		</select>
			</div>
		</div>
	</div>
	<div id="headlines">
 		<?php
		$cclass=" unchecked ";
		if($show_headline[0]=="on")
			{
			$cclass=" checked ";
			}
		?>
		 <div class="options-line">
			<div class="options-left"><label for="show_headline">Hide Headline</label></div>
		       	<div class="options-right">
		            		<div class="checkboxfake <?php echo $cclass; ?>"></div><input name="show_headline" type="hidden"  value="<?php echo $show_headline[0]; ?>" /> 
			</div> 	
		</div> 
		 <div class="options-line">
			<div class="options-left"><label for="second_headline">Second Headline</label></div>
		       	<div class="options-right">
		            		<input name="second_headline" type="text"  value="<?php echo $second_headline[0]; ?>" /> 
			</div> 	
		</div>
	</div>
	<div id="groups">
		 <div class="options-line">
			<div class="options-left"><label for="group_items">Number of items</label></div>
		       	<div class="options-right">
		            		<input name="group_items" type="text"  value="<?php echo $group_items[0]; ?>" /> 
			</div> 	
		</div>
		 <div class="options-line">
			<div class="options-left"><label for="group_columns">Columns</label></div>
		       	<div class="options-right">
				<select name="group_columns">
					<option></option>
					<option value="2" <?php if($group_columns[0]=="2") { echo " selected"; } ?>>2</option>
					<option value="3" <?php if($group_columns[0]=="3") { echo " selected"; } ?>>3</option>
					<option value="4" <?php if($group_columns[0]=="4") { echo " selected"; } ?>>4</option>
				</select>

<!--		            		<input name="group_columns" type="text"  value="<?php echo $group_columns[0]; ?>" /> -->
			</div> 	
		</div>

	</div>
	</div><!-- tabs -->

	<div id="src_load"></div>
	<?php	  
	}

function cbg_save_postdata()
	{  
	global $post;  
	if (  defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) 
		{
		return $post_id;
		$custom = get_post_custom($post->ID);  
		$cbg = $custom["cbg"][0]; 
		?>  
	  	<label>Slider:</label><input name="oi_theme_slider" value="<?php echo $slider[0]; ?>" />  
		<?php
		}
		else
			{
			if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE )
				{ 
				return $post_id;
				}
				else
					{
					if(isset($_POST["cbg"]))
						{
				    		update_post_meta($post->ID, "cbg", $_POST["cbg"]); 
						}
					if(isset($_POST["slideshow_name"]))
						{
				    		update_post_meta($post->ID, "slideshow_name", $_POST["slideshow_name"]); 
						}
					if(isset($_POST["bgcolor"]))
						{
				    		update_post_meta($post->ID, "bgcolor", $_POST["bgcolor"]); 
						}
					if(isset($_POST["cy"]))
						{
				    		update_post_meta($post->ID, "cy", $_POST["cy"]); 		
						}
					if(isset($_POST["cx"]))
						{
				    		update_post_meta($post->ID, "cx", $_POST["cx"]); 
						}
					if(isset($_POST["crep"]))
						{
				    		update_post_meta($post->ID, "crep", $_POST["crep"]); 
						}
					if(isset($_POST["cfix"]))
						{
				    		update_post_meta($post->ID, "cfix", $_POST["cfix"]); 
						}
					if(isset($_POST["the_sidebar"]))
						{
				    		update_post_meta($post->ID, "the_sidebar", $_POST["the_sidebar"]);
						}
					if(isset($_POST["page_type_class"]))
						{
				    		update_post_meta($post->ID, "page_type_class", $_POST["page_type_class"]);
						}

					if(isset($_POST["show_headline"]))
						{
				    		update_post_meta($post->ID, "show_headline", $_POST["show_headline"]);
						}
					if(isset($_POST["second_headline"]))
						{
				    		update_post_meta($post->ID, "second_headline", $_POST["second_headline"]);
						}
					if(isset($_POST["hide_search"]))
						{
				    		update_post_meta($post->ID, "hide_search", $_POST["hide_search"]);
						}

					if(isset($_POST["group_columns"]))
						{
				    		update_post_meta($post->ID, "group_columns", $_POST["group_columns"]);
						}
					if(isset($_POST["group_items"]))
						{
				    		update_post_meta($post->ID, "group_items", $_POST["group_items"]);
						}
					if(isset($_POST["slider_type"]))
						{
				    		update_post_meta($post->ID, "slider_type", $_POST["slider_type"]);
						}
					}
			}
		}



///////////////////////////// END METABOXES





function load_sidebar ($position  , $sidebar)
	{
	$return="";
	global $post;
	$sidebarx=get_post_custom_values('the_sidebar');
	$sidebar1=$sidebarx[0];
	$sidebarx=get_post_custom_values('the_sidebar');
	$sidebar2=$sidebarx[0]; 

	if($position=="2")
		{
		$custom_sidebar=$sidebar2;
		}
		elseif($position=="1")
			{
			$custom_sidebar=$sidebar1;
			}
	if(($position!="") AND ($position!="1") AND ($position!="2"))
		{
		$custom_sidebar=$position;
		}
	if(isset($custom_sidebar))
		{
		if($custom_sidebar!="")
			{
			echo "<div class='sidebar_top'></div><div class='sidebar_body'>";
			dynamic_sidebar( "$custom_sidebar" );	
			echo "</div><div class='sidebar_bottom'></div>";		
			}	
			else
				{
				echo "<div class='sidebar_top'></div><div class='sidebar_body'>";
				dynamic_sidebar( "$sidebar" );
				echo "</div><div class='sidebar_bottom'></div>";	
				} 
		}
	}



/*
** THE PAGINATION
*/
function custom_pagination()
	{
	global $wp_query;
	$big = 9999; 
	if(paginate_links( array('base' => str_replace( $big, '%#%', get_pagenum_link( $big ) ),'format' => '?paged=%#%','current' => max( 1, get_query_var('paged') ),'total' => $wp_query->max_num_pages) )!="")
		{
		echo "<div class='pagination'>";
		echo paginate_links( array('base' => str_replace( $big, '%#%', get_pagenum_link( $big ) ),'format' => '?paged=%#%','current' => max( 1, get_query_var('paged') ),'total' => $wp_query->max_num_pages) );
		echo "</div>";
		}
	}


/*
** THE COMMENTSTEMPLATE
*/
function mytheme_comment($comment, $args, $depth) 
	{
	$GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
		<article id="comment-<?php comment_ID(); ?>" class="comment-body">
			<footer class="comment-author vcard">
				<?php echo get_avatar( $comment->comment_author_email, 60 ); ?>
				<p class='commentauthor'><?php  comment_author_link(); ?></p>
				<p class='comment-time'><?php comment_date(); ?>, <?php comment_time(); ?></p>							
			</footer>
			<div class="comments-body">				
				<?php comment_text() ?>
				<div class="reply">
					<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?> | <?php edit_comment_link('Edit','  ','') ?>
 				</div>
				<?php if ($comment->comment_approved == '0') : ?>
					<em><?php _e('Your comment is awaiting moderation.','sevenleague'); ?></em>			
				<?php endif; ?>
			</div>
			<div class="clear"></div>
		</article>
	<?php
   	}




/*
** PRINT THE "EDIT THIS" LINK 
*/
function the_adminbar()
	{
	return edit_post_link();
	}



/*
** ADD LIGHTBOX TO IMAGES IN CONTENT
*/
function add_rel_lightbox($content)
	{
	$string = '/<a href="(.*?).(jpg|jpeg|png|gif|bmp|ico)"><img(.*?)class="(.*?)wp-image-(.*?)" \/><\/a>/i';	
	preg_match_all( $string, $content, $matches, PREG_SET_ORDER);
	foreach ($matches as $val)
		{
		$slimbox_caption = '';
		$post = get_post($val[5]);		
		$string = '<a href="' . $val[1] . '.' . $val[2] . '"><img' . $val[3] . 'class="' . $val[4] . 'wp-image-' . $val[5] . '" /></a>';
		$replace = '<a href="' . $val[1] . '.' . $val[2] . '" rel="prettyPhoto"><img' . $val[3] . 'class="' . $val[4] . 'wp-image-' . $val[5] . ' image-wp" /></a>';
		$content = str_replace( $string, $replace, $content);
		}
	return $content;
	}
	add_filter('the_content', 'add_rel_lightbox', 12);


/*
** ADD PLUGIN(S) TO THE EDITOR
*/
add_action('init', 'plugins_button');
function plugins_button() 
	{ 
   	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') ) 
		{
     		return;   	
		}
    	if ( get_user_option('rich_editing') == 'true' ) 
		{
     		add_filter( 'mce_external_plugins', 'add_plugin' );
		add_filter( 'mce_buttons_3', 'register_button' );
		} 
	}  


class Menu_With_Description extends Walker_Nav_Menu 
	{
    	function display_element( $element, &$children_elements, $max_depth, $depth=0, $args, &$output )
    		{
        		$id_field = $this->db_fields['id'];
        			if ( is_object( $args[0] ) ) 
				{
            				$args[0]->has_children = ! empty( $children_elements[$element->$id_field] );
				}
        		return parent::display_element( $element, $children_elements, $max_depth, $depth, $args, $output );
    		}
	function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0)
		{
		global $wp_query;
		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
		$class_names = $value = '';
		$classes = empty( $item->classes ) ? array() : (array) $item->classes;
 		if( $args->has_children ) 
			{ 
			$classes[]="has-submenu"; 
			}
		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
		$class_names = ' class="' . esc_attr( $class_names ) . '"';
		$output .= $indent . '<li id="menu-item-'. $item->ID . '"' . $value . $class_names .'>'; 
		$attributes = ! empty( $item->attr_title ) ? ' title="' . esc_attr( $item->attr_title ) .'"' : '';
		$attributes .= ! empty( $item->target ) ? ' target="' . esc_attr( $item->target ) .'"' : '';
		$attributes .= ! empty( $item->xfn ) ? ' rel="' . esc_attr( $item->xfn ) .'"' : '';
		$attributes .= ! empty( $item->url ) ? ' href="' . esc_attr( $item->url ) .'"' : '';
		if (trim($item->description)!="")
			{
			$attributes .= ! empty( $item->description) ? ' data-v="'.esc_Attr($item->description).'"' : '';
			}
		$item_output = $args->before;
		$item_output .= '<a'. $attributes .'>';
		$item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after ;
		//$item_output .= '<b>' . $item->description . '</b>';
		//$item_output .= '<em></em>';
		if (trim($item->description)!="")
			{
			$item_output.='<span>'.$item->description.'</span>';
			}
		$item_output .= '</a>';
		$item_output .= $args->after;
		$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
	}
} 
 
 

function hex2rgb($hex) 
	{
   	$hex = str_replace("#", "", $hex); 
   	if(strlen($hex) == 3) 
		{
		$r = hexdec(substr($hex,0,1).substr($hex,0,1));
	      	$g = hexdec(substr($hex,1,1).substr($hex,1,1));
	      	$b = hexdec(substr($hex,2,1).substr($hex,2,1));
	   	}
		else 
			{
	      		$r = hexdec(substr($hex,0,2));
	      		$g = hexdec(substr($hex,2,2));
	      		$b = hexdec(substr($hex,4,2));
	   		}
	   $rgb = array($r, $g, $b);
	   return implode(",", $rgb); 
	}


































/*
Plugin Name: Ambrosite Next/Previous Post Link Plus
Plugin URI: http://www.ambrosite.com/plugins
Description: Upgrades the next/previous post link template tags to reorder or loop adjacent post navigation links, return multiple links, truncate link titles, and display post thumbnails. IMPORTANT: If you are upgrading from plugin version 1.1, you will need to update your templates (refer to the <a href="http://www.ambrosite.com/plugins/next-previous-post-link-plus-for-wordpress">documentation</a> on configuring parameters).
Version: 2.4
Author: J. Michael Ambrosio
Author URI: http://www.ambrosite.com
License: GPL2
*/

function get_adjacent_post_plus($r, $previous = true ) {
	global $post, $wpdb;
	extract( $r, EXTR_SKIP );
	if ( empty( $post ) )
		return null;
	if ( in_array($order_by, array('post_date', 'post_title', 'post_excerpt', 'post_name', 'post_modified')) ) {
		$order_format = '%s';
	} elseif ( in_array($order_by, array('ID', 'post_author', 'post_parent', 'menu_order', 'comment_count')) ) {
		$order_format = '%d';
	} elseif ( $order_by == 'custom' && !empty($meta_key) ) { 
		$order_format = '%s';
	} elseif ( $order_by == 'numeric' && !empty($meta_key) ) {
		$order_format = '%d';
	} else {
		$order_by = 'post_date';
		$order_format = '%s';
	}
	if ( in_array($order_2nd, array('post_date', 'post_title', 'post_modified')) ) {
		$order_format2 = '%s';
	} elseif ( in_array($order_2nd, array('ID')) ) {
		$order_format2 = '%d';
	} else {
		$order_2nd = 'post_date';
		$order_format2 = '%s';
	}
	$num_results = intval($num_results) < 2 ? 1 : intval($num_results);
	if ( $order_by == 'custom' || $order_by == 'numeric' ) {
		$current_post = get_post_meta($post->ID, $meta_key, TRUE);
		$order_by = ($order_by === 'numeric') ? 'm.meta_value+0' : 'm.meta_value';
		$meta_join = $wpdb->prepare(" INNER JOIN $wpdb->postmeta AS m ON p.ID = m.post_id AND m.meta_key = %s", $meta_key );
	} elseif ( $in_same_meta ) {
		$current_post = $post->$order_by;
		$order_by = 'p.' . $order_by;
		$meta_join = $wpdb->prepare(" INNER JOIN $wpdb->postmeta AS m ON p.ID = m.post_id AND m.meta_key = %s", $in_same_meta );
	} else {
		$current_post = $post->$order_by;
		$order_by = 'p.' . $order_by;
		$meta_join = '';
	}
	$current_post2 = $post->$order_2nd;
	$order_2nd = 'p.' . $order_2nd;
	if ( empty($post_type) )
		$post_type = "'$post->post_type'";
	do {
		$join = $meta_join;
		$excluded_categories = $ex_cats;
		$included_categories = $in_cats;
		$excluded_posts = $ex_posts;
		$included_posts = $in_posts;
		$in_same_term_sql = $in_same_author_sql = $in_same_meta_sql = $ex_cats_sql = $in_cats_sql = $ex_posts_sql = $in_posts_sql = '';
		$taxonomies = array_filter( get_post_taxonomies($post->ID), "is_taxonomy_hierarchical" );

		if ( ($in_same_cat || $in_same_tax || $in_same_format || !empty($excluded_categories) || !empty($included_categories)) && !empty($taxonomies) ) {
			$cat_array = $tax_array = $format_array = array();

			if ( $in_same_cat ) {
				$cat_array = wp_get_object_terms($post->ID, $taxonomies, array('fields' => 'ids'));
			}
			if ( $in_same_tax && !$in_same_cat ) {
				if ( $in_same_tax === true ) {
					if ( $taxonomies != array('category') )
						$taxonomies = array_diff($taxonomies, array('category'));
				} else
					$taxonomies = (array) $in_same_tax;
				$tax_array = wp_get_object_terms($post->ID, $taxonomies, array('fields' => 'ids'));
			}
			if ( $in_same_format ) {
				$taxonomies[] = 'post_format';
				$format_array = wp_get_object_terms($post->ID, 'post_format', array('fields' => 'ids'));
			}
			$join .= " INNER JOIN $wpdb->term_relationships AS tr ON p.ID = tr.object_id INNER JOIN $wpdb->term_taxonomy tt ON tr.term_taxonomy_id = tt.term_taxonomy_id AND tt.taxonomy IN (\"" . implode('", "', $taxonomies) . "\")";
			$term_array = array_unique( array_merge( $cat_array, $tax_array, $format_array ) );
			if ( !empty($term_array) )
				$in_same_term_sql = "AND tt.term_id IN (" . implode(',', $term_array) . ")";
			if ( !empty($excluded_categories) ) {
				$delimiter = ( strpos($excluded_categories, ',') !== false ) ? ',' : 'and';
				$excluded_categories = array_map( 'intval', explode($delimiter, $excluded_categories) );
				if ( $ex_cats_method === 'strong' ) {
					$taxonomies = array_filter( get_post_taxonomies($post->ID), "is_taxonomy_hierarchical" );
					if ( function_exists('get_post_format') )
						$taxonomies[] = 'post_format';
					$ex_cats_posts = get_objects_in_term( $excluded_categories, $taxonomies );
					if ( !empty($ex_cats_posts) )
						$ex_cats_sql = "AND p.ID NOT IN (" . implode($ex_cats_posts, ',') . ")";
				} else {
					if ( !empty($term_array) && !in_array($ex_cats_method, array('diff', 'differential')) )
						$excluded_categories = array_diff($excluded_categories, $term_array);
					if ( !empty($excluded_categories) )
						$ex_cats_sql = "AND tt.term_id NOT IN (" . implode($excluded_categories, ',') . ')';
				}
			}
			if ( !empty($included_categories) ) {
				$in_same_term_sql = ''; 
				$delimiter = ( strpos($included_categories, ',') !== false ) ? ',' : 'and';
				$included_categories = array_map( 'intval', explode($delimiter, $included_categories) );
				$in_cats_sql = "AND tt.term_id IN (" . implode(',', $included_categories) . ")";
			}
		}
		if ( $in_same_author )
			$in_same_author_sql = $wpdb->prepare("AND p.post_author = %d", $post->post_author );
		if ( $in_same_meta && $r['order_by'] != 'custom' && $r['order_by'] != 'numeric' )
			$in_same_meta_sql = $wpdb->prepare("AND m.meta_value = %s", get_post_meta($post->ID, $in_same_meta, TRUE) );
		if ( !empty($excluded_posts) ) {
			$excluded_posts = array_map( 'intval', explode(',', $excluded_posts) );
			$ex_posts_sql = " AND p.ID NOT IN (" . implode(',', $excluded_posts) . ")";
		}
		if ( !empty($included_posts) ) {
			$included_posts = array_map( 'intval', explode(',', $included_posts) );
			$in_posts_sql = " AND p.ID IN (" . implode(',', $included_posts) . ")";
		}
		$adjacent = $previous ? 'previous' : 'next';
		$order = $previous ? 'DESC' : 'ASC';
		$op = $previous ? '<' : '>';
		if ( $end_post ) {
			$order = $previous ? 'ASC' : 'DESC';
			$num_results = 1;
			$loop = false;
			if ( $end_post === 'fixed' ) 
				$op = $previous ? '<=' : '>=';
		}	
		if ( $loop && isset($result) ) {
			$op = $previous ? '>=' : '<=';
			$loop = false; 
		}		
		$join  = apply_filters( "get_{$adjacent}_post_plus_join", $join, $r );
		$where = apply_filters( "get_{$adjacent}_post_plus_where", $wpdb->prepare("WHERE ( $order_by $op $order_format OR $order_2nd $op $order_format2 AND $order_by = $order_format ) AND p.post_type IN ($post_type) AND p.post_status = 'publish' $in_same_term_sql $in_same_author_sql $in_same_meta_sql $ex_cats_sql $in_cats_sql $ex_posts_sql $in_posts_sql", $current_post, $current_post2, $current_post), $r );

		$sort  = apply_filters( "get_{$adjacent}_post_plus_sort", "ORDER BY $order_by $order, $order_2nd $order LIMIT $num_results", $r );

		$query = "SELECT DISTINCT p.* FROM $wpdb->posts AS p $join $where $sort";
		$query_key = 'adjacent_post_' . md5($query);
		$result = wp_cache_get($query_key);
		if ( false !== $result )
			return $result;

		$result = $wpdb->get_results("SELECT DISTINCT p.* FROM $wpdb->posts AS p $join $where $sort");
		if ( null === $result )
			$result = '';

	} while ( !$result && $loop );
	wp_cache_set($query_key, $result);
	return $result;
}
function previous_post_link_plus($args = '') {
	return adjacent_post_link_plus($args, '&laquo; %link', true);
}
function next_post_link_plus($args = '') {
	return adjacent_post_link_plus($args, '%link &raquo;', false);
}
function adjacent_post_link_plus($args = '', $format = '%link &raquo;', $previous = true) {
	$defaults = array(
		'order_by' => 'post_date', 'order_2nd' => 'post_date', 'meta_key' => '', 'post_type' => '',
		'loop' => false, 'end_post' => false, 'thumb' => false, 'max_length' => 0,
		'format' => '', 'link' => '%title', 'date_format' => '', 'tooltip' => '%title',
		'in_same_cat' => false, 'in_same_tax' => false, 'in_same_format' => false,
		'in_same_author' => false, 'in_same_meta' => false,
		'ex_cats' => '', 'ex_cats_method' => 'weak', 'in_cats' => '', 'ex_posts' => '', 'in_posts' => '',
		'before' => '', 'after' => '', 'num_results' => 1, 'return' => false, 'echo' => true
	);
	if ( function_exists('CPTOrderPosts') )
		$defaults['order_by'] = 'menu_order';	
	$r = wp_parse_args( $args, $defaults );
	if ( empty($r['format']) )
		$r['format'] = $format;
	if ( empty($r['date_format']) )
		$r['date_format'] = get_option('date_format');
	if ( !function_exists('get_post_format') )
		$r['in_same_format'] = false;
	if ( $previous && is_attachment() ) {
		$posts = array();
		$posts[] = & get_post($GLOBALS['post']->post_parent);
	} else
		$posts = get_adjacent_post_plus($r, $previous);
	if ( !$posts )
		return false;
	if ( ($previous && $r['order_by'] != 'post_date') || (!$previous && $r['order_by'] == 'post_date') )
		$posts = array_reverse( $posts, true );		
	if ( $r['return'] ) {
		if ( $r['num_results'] == 1 ) {
			reset($posts);
			$post = current($posts);
			if ( $r['return'] === 'id')
				return $post->ID;
			if ( $r['return'] === 'href')
				return get_permalink($post);
			if ( $r['return'] === 'object')
				return $post;
			if ( $r['return'] === 'title')
				return $post->post_title;
			if ( $r['return'] === 'date')
				return mysql2date($r['date_format'], $post->post_date);
		} elseif ( $r['return'] === 'object')
			return $posts;
	}
	$output = $r['before'];
	foreach ( $posts as $post ) {
		$title = $post->post_title;
		if ( empty($post->post_title) )
			$title = $previous ? 'Previous Post' :'Next Post';
		$title = apply_filters('the_title', $title, $post->ID);
		$date = mysql2date($r['date_format'], $post->post_date);
		$author = get_the_author_meta('display_name', $post->post_author);	
		if ( $r['tooltip'] ) {
			$tooltip = str_replace('%title', $title, $r['tooltip']);
			$tooltip = str_replace('%date', $date, $tooltip);
			$tooltip = str_replace('%author', $author, $tooltip);
			$tooltip = ' title="' . esc_attr($tooltip) . '"';
		} else
			$tooltip = '';
		$max_length = intval($r['max_length']) < 1 ? 9999 : intval($r['max_length']);
		if ( strlen($title) > $max_length )
			$title = substr( $title, 0, strrpos(substr($title, 0, $max_length), ' ') ) . '...';	
		$rel = $previous ? 'prev' : 'next';
		$anchor = '<a href="'.get_permalink($post).'" rel="'.$rel.'"'.$tooltip.'>';
		$link = str_replace('%title', $title, $r['link']);
		$link = str_replace('%date', $date, $link);
		$link = $anchor . $link . '</a>';	
		$format = str_replace('%link', $link, $r['format']);
		$format = str_replace('%title', $title, $format);
		$format = str_replace('%date', $date, $format);
		$format = str_replace('%author', $author, $format);
		if ( ($r['order_by'] == 'custom' || $r['order_by'] == 'numeric') && !empty($r['meta_key']) ) {
			$meta = get_post_meta($post->ID, $r['meta_key'], true);
			$format = str_replace('%meta', $meta, $format);
		} elseif ( $r['in_same_meta'] ) {
			$meta = get_post_meta($post->ID, $r['in_same_meta'], true);
			$format = str_replace('%meta', $meta, $format);
		}
		if ( (strpos($format, '%category') !== false) && version_compare(PHP_VERSION, '5.0.0', '>=') ) {
			$term_list = '';
			$taxonomies = array_filter( get_post_taxonomies($post->ID), "is_taxonomy_hierarchical" );
			if ( $r['in_same_format'] && get_post_format($post->ID) )
				$taxonomies[] = 'post_format';
			foreach ( $taxonomies as &$taxonomy ) {
				if ( $next_term = get_the_term_list($post->ID, $taxonomy, '', ', ', '') ) {
					$term_list .= $next_term;
					if ( current($taxonomies) ) $term_list .= ', ';
				}
			}
			$format = str_replace('%category', $term_list, $format);
		}
		if ( $r['thumb'] && has_post_thumbnail($post->ID) ) {
			if ( $r['thumb'] === true ) // use 'post-thumbnail' as the default size
				$r['thumb'] = 'post-thumbnail';
			$thumbnail = '<a class="post-thumbnail" href="'.get_permalink($post).'" rel="'.$rel.'"'.$tooltip.'>' . get_the_post_thumbnail( $post->ID, $r['thumb'] ) . '</a>';
			$format = $thumbnail . '<span class="post-link">' . $format . '</span>';
		}	
		if ( intval($r['num_results']) > 1 )
			$format = '<li>' . $format . '</li>';		
		$output .= $format;
	}
	$output .= $r['after'];
	if ( !$r['echo'] || $r['return'] === 'output' )
		return $output;
	$adjacent = $previous ? 'previous' : 'next';
	echo apply_filters( "{$adjacent}_post_link_plus", $output, $r );
	return true;
}



function wpex_clean_shortcodes($content){   
$array = array (
    '<p>[' => '[', 
    ']</p>' => ']', 
    ']<br />' => ']'
);
$content = strtr($content, $array);
return $content;
}
add_filter('the_content', 'wpex_clean_shortcodes');











 
/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @package	   TGM-Plugin-Activation
 * @subpackage Example
 * @version	   2.3.6
 * @author	   Thomas Griffin <thomas@thomasgriffinmedia.com>
 * @author	   Gary Jones <gamajo@gamajo.com>
 * @copyright  Copyright (c) 2012, Thomas Griffin
 * @license	   http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/thomasgriffin/TGM-Plugin-Activation
 */


add_action( 'tgmpa_register', 'my_theme_register_required_plugins' );
function my_theme_register_required_plugins() {

	/**
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(
		array(
			'name' 			=> 'easyReservations',
			'slug' 			=> 'easyreservations',
			'source'			=> get_stylesheet_directory() . '/plugins/easyreservations.zip', // The plugin source
			'required' 		=> true,
			'force_activation' 		=> true, 
			'force_deactivation' 	=> false, 
		),

	);

	// Change this to your theme text domain, used for internationalising strings
	$theme_text_domain = 'tgmpa';

	/**
	 * Array of configuration settings. Amend each line as needed.
	 * If you want the default strings to be available under your own theme domain,
	 * leave the strings uncommented.
	 * Some of the strings are added into a sprintf, so see the comments at the
	 * end of each line for what each argument will be.
	 */
	$config = array(
		'domain'       		=> $theme_text_domain,         	// Text domain - likely want to be the same as your theme.
		'default_path' 		=> '',                         	// Default absolute path to pre-packaged plugins
		'parent_menu_slug' 	=> 'themes.php', 				// Default parent menu slug
		'parent_url_slug' 	=> 'themes.php', 				// Default parent URL slug
		'menu'         		=> 'install-required-plugins', 	// Menu slug
		'has_notices'      	=> true,                       	// Show admin notices or not
		'is_automatic'    	=> false,					   	// Automatically activate plugins after installation or not
		'message' 			=> '',							// Message to output right before the plugins table
		'strings'      		=> array(
			'page_title'                       			=> __( 'Install Required Plugins', $theme_text_domain ),
			'menu_title'                       			=> __( 'Install Plugins', $theme_text_domain ),
			'installing'                       			=> __( 'Installing Plugin: %s', $theme_text_domain ), // %1$s = plugin name
			'oops'                             			=> __( 'Something went wrong with the plugin API.', $theme_text_domain ),
			'notice_can_install_required'     			=> _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' ), // %1$s = plugin name(s)
			'notice_can_install_recommended'			=> _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' ), // %1$s = plugin name(s)
			'notice_cannot_install'  					=> _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' ), // %1$s = plugin name(s)
			'notice_can_activate_required'    			=> _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
			'notice_can_activate_recommended'			=> _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
			'notice_cannot_activate' 					=> _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' ), // %1$s = plugin name(s)
			'notice_ask_to_update' 						=> _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' ), // %1$s = plugin name(s)
			'notice_cannot_update' 						=> _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' ), // %1$s = plugin name(s)
			'install_link' 					  			=> _n_noop( 'Begin installing plugin', 'Begin installing plugins' ),
			'activate_link' 				  			=> _n_noop( 'Activate installed plugin', 'Activate installed plugins' ),
			'return'                           			=> __( 'Return to Required Plugins Installer', $theme_text_domain ),
			'plugin_activated'                 			=> __( 'Plugin activated successfully.', $theme_text_domain ),
			'complete' 									=> __( 'All plugins installed and activated successfully. %s', $theme_text_domain ), // %1$s = dashboard link
			'nag_type'									=> 'updated' // Determines admin notice type - can only be 'updated' or 'error'
		)
	);

	tgmpa( $plugins, $config );

}


add_action( 'add_meta_boxes', 'add_rooms_metabox' );
function add_rooms_metabox()
	{
	add_meta_box( 'room_price_settings', 'Price settings', 'rooms_show_pricelink', 'easy-rooms','side','low' );
	}
function rooms_show_pricelink()
	{
	echo "<a href='admin.php?page=reservation-resources&room=".get_the_id()."' target='blank'>Edit prices</a>";
	}






