<?php 
global $slider;  

$allslider_settings = get_option('allslider_settings');
$allslider_images = get_option('allslider_images');
$allslider_sliders = get_option('allslider_sliders');
$allslider_cycle_settings=get_option('allslider_cycle_settings');
$allslider_defaults="";
$allslider_settings = wp_parse_args($allslider_settings, $allslider_defaults);

function allslider_register_settings() 
	{ 
	register_setting('allslider_images', 'allslider_images', 'allslider_images_validate');
	register_setting('allslider_sliders', 'allslider_sliders', '');
	}
	add_action('admin_init', 'allslider_register_settings');

function add_allslider_menu() 
	{
	add_theme_page('Allslider', 'Allslider', 'upload_files', 'allslider.admin', 'allslider_admin_page');
	}
	add_action('admin_menu', 'add_allslider_menu');

function allslider_admin_page() 
	{
	echo '<div class="wrap">';
	echo "<div id='poststuff' class='metabox-holder'>";
	echo "<div id='post-body' class='has-sidebar'>
		<div id='post-body-content' class='has-sidebar-content'>
		<div id='normal-sortables' class='meta-box-sortables ui-sortable'>";
		if(isset($_REQUEST['action']))
			{
			if($_REQUEST['action'] == 'wp_handle_upload')
				{
				allslider_handle_upload();
				}
			if($_REQUEST['action'] == 'wp_handle_youtube_upload')
				{
				allslider_handle_youtube_upload();
				}
			if($_REQUEST['action'] == 'wp_handle_post_upload')
				{
				allslider_handle_post_upload();
				}
			if($_REQUEST['action'] == 'wp_handle_html_upload')
				{
				allslider_handle_html_upload();
				}
			if($_REQUEST['action'] == 'allslider_handle_newid')
				{
				allslider_handle_newid();
				}
			}
		if(isset($_REQUEST['delete_pictureset']))
			{
			if($_REQUEST['delete_pictureset'] != '')
				{			
				delete_pictureset($set="$_REQUEST[delete_pictureset]");
				}
			}
		if(isset($_REQUEST['delete']))
			{
			allslider_delete_upload($_REQUEST['delete']);
			}
		if(isset($_REQUEST['delete_youtube']))
			{
			allslider_delete_youtube($_REQUEST['delete_youtube']);
			}
		allslider_images_admin();
	echo '</div></div></div>
	</div></div>';
	}

function allslider_handle_newid() 
	{
	global $allslider_sliders;	
	$time = date('YmdHis');
	if(!empty($_POST["newid"]))
		{
		$name=$_POST["newid"];
		$allslider_sliders[$time] = array(
			'id' => $time,
			'slider_type'=>'',
			'name'=>$name
		);	
		update_option('allslider_sliders', $allslider_sliders);
		}	
	}

function allslider_handle_upload() 
	{
	global $allslider_settings, $allslider_images;
	$allslider_settings['img_width']=2000;
	$allslider_settings['img_height']=1000;
	require_once( ABSPATH . 'wp-admin/includes/file.php' );
	$overrides = array( 'test_form' => false);
	$upload = wp_handle_upload($_FILES['allslider'], 0);
	extract($upload);
	$upload_dir_url = str_replace(basename($file), '', $url);
	list($width, $height) = getimagesize($file);

	if(strpos($type, 'image') === FALSE) 
		{
		unlink($file);
		echo '<div class="error" id="message"><p>Sorry, but the file you uploaded does not seem to be a valid image. Please try again.</p></div>';
		return;
		}
	if($width > $allslider_settings['img_width'] || $height > $allslider_settings['img_height']) 	
		{
		$resized = image_resize($file, $allslider_settings['img_width'], $allslider_settings['img_height'], true, 'resized');
		$resized_url = $upload_dir_url . basename($resized);
		unlink($file);
		$file = $resized;
		$url = $resized_url;
		}	
	$thumb_height = round((100 * $allslider_settings['img_height']) / $allslider_settings['img_width']);
	if(isset($upload['file'])) 	
		{
		$thumbnail = image_resize($file, 100, $thumb_height, true, 'thumb');
		$thumbnail_url = $upload_dir_url . basename($thumbnail);
		}	
	$img_opts=getimagesize($file);
	$width= $img_opts[0];
	$height=$img_opts[1];
	$time = date('YmdHis');
	$allslider_images[$time] = array(
		'id' => $time,
		'file' => $file,
		'file_url' => $url,
		'thumbnail' => $thumbnail,
		'thumbnail_url' => $thumbnail_url,
		'image_links_to' => '',
		'slider_type'=>'',	
		'width'=>$width,	
		'height'=>$height,
		'type'=>'image'
	);	
	$allslider_images['update'] = 'Added';
	update_option('allslider_images', $allslider_images);
	}



function allslider_handle_post_upload() 
	{
	global $allslider_settings, $allslider_images; 
	$url=$_REQUEST['link'];
	$thumb=$_REQUEST['thumb'];
	$time = date('YmdHis');
	$h=$_REQUEST['h'];
	$w=$_REQUEST['w'];
	$allslider_images[$time] = array(
		'id' => $time,
		'file' => '',
		'file_url' => $url,
		'thumbnail' => $thumb,
		'thumbnail_url' => "$thumb",
		'image_links_to' => '',
		'slider_type'=>'',	
		'width'=>$w,	
		'height'=>$h,
		'type'=>'imge',
		'yid'=>''
	);	
	$allslider_images['update'] = 'Added';
	update_option('allslider_images', $allslider_images);
	}



function allslider_handle_html_upload() 
	{
	global $allslider_settings, $allslider_images; 
	$html=$_REQUEST['html_code'];
	$thumb=$_REQUEST['thumb'];
	$time = date('YmdHis');
	$h=$_REQUEST['h'];
	$w=$_REQUEST['w'];
	$allslider_images[$time] = array(
		'id' => $time,
		'file' => $file,
		'file_url' => $html,
		'thumbnail' => $thumb,
		'thumbnail_url' => "$thumb",
		'image_links_to' => '',
		'slider_type'=>'',	
		'width'=>$w,	
		'height'=>$h,
		'type'=>'html',
		'yid'=>''
	);	
	$allslider_images['update'] = 'Added';
	update_option('allslider_images', $allslider_images);
	}

function allslider_handle_youtube_upload() 
	{
	global $allslider_settings, $allslider_images;
	require_once( ABSPATH . 'wp-admin/includes/file.php' );
	$overrides = array( 'test_form' => false);
	$url=$_REQUEST['youtube_link'];
	$time = date('YmdHis');
	$allslider_images[$time] = array(
		'id' => $time,
		'file' => '',
		'file_url' => $url,
		'thumbnail' => '',
		'thumbnail_url' => "http://img.youtube.com/vi/".$url."/0.jpg",
		'image_links_to' => '',
		'slider_type'=>'',	
		'width'=>'',	
		'height'=>'',
		'type'=>'youtube',
		'yid'=>$url
	);	
	$allslider_images['update'] = 'Added';
	update_option('allslider_images', $allslider_images);
	}


function delete_pictureset($id)
	{	
	global $allslider_sliders;
	if(!isset($allslider_sliders[$id])) return;
	$allslider_message['update'] = 'Deleted';
	unset($allslider_sliders[$id]);
	update_option('allslider_sliders', $allslider_sliders);
	}

function allslider_delete_upload($id) 
	{
	global $allslider_images;
	if(!isset($allslider_images[$id])) return;
	if(file_exists($allslider_images[$id]['file']))
		{
		unlink($allslider_images[$id]['file']);
		unlink($allslider_images[$id]['thumbnail']);
		}
	$allslider_images['update'] = 'Deleted';
	unset($allslider_images[$id]);
	update_option('allslider_images', $allslider_images);
	}

function allslider_delete_youtube($id) 
	{
	global $allslider_images;
	if(!isset($allslider_images[$id])) return;
	$allslider_images['update'] = 'Deleted';
	unset($allslider_images[$id]);
	update_option('allslider_images', $allslider_images);
	}

function allslider_images_update_check() 
	{
	global $allslider_images, $allslider_message;
	if(isset($allslider_images['update']))
		{
		if($allslider_images['update'] == 'Added' || $allslider_images['update'] == 'Deleted' || $allslider_images['update'] == 'Updated') 
			{
			echo '<div class="updated fade" id="message"><p>File(s) '.$allslider_images['update'].' Successfully</p></div>';
			unset($allslider_images['update']);
			update_option('allslider_images', $allslider_images);
			}
		if($allslider_message['update']=="Deleted")
			{
			echo '<div class="updated fade" id="message"><p>Pictureset(s) '.$allslider_message['update'].' Successfully</p></div>';
			unset($allslider_message['update']);		
			}		
		}
	}

function allslider_images_admin()	
	{ 
	global $allslider_images, $allslider_sliders , $slider; ?>
	<?php allslider_images_update_check(); ?>
	<!-- <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/script/jquery-ui.min.js"></script> -->
 	<h2>Allslider</h2>	 
	<table class="form-table">
		<tr valign="top"><th scope="row">Upload a new Image</th>
			<td>
			<form enctype="multipart/form-data" method="post" action="?page=allslider.admin">
				<input type="hidden" name="post_id" id="post_id" value="0" />
				<input type="hidden" name="action" id="action" value="wp_handle_upload" />				
				<label for="allslider">Select a File: </label>
				<input type="file" name="allslider" class="allslider_upload_field" id="allslider" />
				<input type="submit" class="button-primary" name="html-upload" value="Upload" />
			</form>
			</td>
		</tr>
	</table>
	<table class="form-table">
		<tr valign="top"><th scope="row">Insert a Video from Youtube</th>
			<td>
			<form method="post" action="?page=allslider.admin">
				<input type="hidden" name="post_id" id="post_id" value="0" />
				<input type="hidden" name="action" id="action" value="wp_handle_youtube_upload" />				
				<label for="youtube_link">Insert YouTube ID: </label>
				<input type="text" name="youtube_link" id="youtube_link" />
				<input type="submit" class="button-primary" name="html-upload" value="Send" />
			</form>
			</td>
		</tr>
	</table>
<!-- HTML BLOCK -->
<!--
	<table class="form-table">
		<tr valign="top"><th scope="row">Insert a HTML Code</th>
			<td>
			<form method="post" action="?page=allslider.admin">
				<input type="hidden" name="post_id" id="post_id" value="0" />
				<input type="hidden" name="action" id="action" value="wp_handle_html_upload" />				
				<label for="html_code">Insert your HTML Code: </label>
				<input type="text" name="html_code" id="html_code" />
				<input type="submit" class="button-primary" name="html-upload" value="Send" />
			</form>
			</td>
		</tr>
	</table>
-->
<!-- EXISTING POSTS -->
	<table class="form-table">
		<tr valign="top"><th scope="row">Use existing featured Images</th>
			<td>
	 <div id="admin-tabs"> 
		<ul class="tabs">
			<li><a href="#tab-post">Post</a></li>
			<li><a href="#tab-page">Page</a></li>
		<?php 
		$argss=array( 'public'   => true,  '_builtin' => false); 
		$output = 'names';
		$operator = 'and'; 
		$post_types=get_post_types($argss,$output,$operator); 
		foreach ($post_types  as $post_type ) 
			{
			echo '<li><a href="#tab-'.$post_type.'">'. $post_type. '</a></li>';
			}
	 	echo "</ul>";  ?>
 		<div id="tab-post" class="post_source_tab"><?php
			global $post;
			$args = array( 'numberposts' => 500, 'post_type'=>'post' );
			$myposts = get_posts( $args );
			foreach( $myposts as $post ) :	setup_postdata($post); 
				if (has_post_thumbnail()) 
					{ 
				 	$image1 = wp_get_attachment_image_src( get_post_thumbnail_id(),'icon' ); 
					$image = wp_get_attachment_image_src( get_post_thumbnail_id(),'original' );
					?><div class='post_source_entry'>
						<form action="?page=allslider.admin" method="post">
							<input type="hidden" name="action" value="wp_handle_post_upload" />	
							<input type="hidden" name="link" value="<?php echo $image[0]; ?>" />
							<input type="hidden" name="h" value="<?php echo $image[2]; ?>" />
							<input type="hidden" name="w" value="<?php echo $image[1]; ?>" />
							<input type="hidden" name="thumb" value="<?php echo $image1[0]; ?>" />						
							<input type="image" src="<?php echo $image1[0]; ?>" alt="Insert Image" />
						</form>						
					   </div><?php
					}	 
			endforeach;			 
			?><div class='clear'></div></div><?php



			?><div id="tab-page" class="post_source_tab"><?php
			global $post;
			$args = array( 'numberposts' => 500, 'post_type'=>'page' );
			$myposts = get_posts( $args );
			foreach( $myposts as $post ) :	setup_postdata($post); 
				if (has_post_thumbnail()) 
					{ 
				 	$image1 = wp_get_attachment_image_src( get_post_thumbnail_id(),'icon' ); 
					$image = wp_get_attachment_image_src( get_post_thumbnail_id(),'original' );
					?><div class='post_source_entry'>
						<form action="?page=allslider.admin" method="post">
							<input type="hidden" name="action" value="wp_handle_post_upload" />	
							<input type="hidden" name="link" value="<?php echo $image[0]; ?>" />
							<input type="hidden" name="h" value="<?php echo $image[2]; ?>" />
							<input type="hidden" name="w" value="<?php echo $image[1]; ?>" />
							<input type="hidden" name="thumb" value="<?php echo $image1[0]; ?>" />						
							<input type="image" src="<?php echo $image1[0]; ?>" alt="Insert Image" />
						</form>	
					   </div><?php
					}		 	 
			endforeach;
			?><div class='clear'></div></div><?php




		$argss=array('public'   => true,'_builtin' => false); 
		$output = 'names';
		$operator = 'and'; 
		$post_types=get_post_types($argss,$output,$operator); 
		foreach ($post_types  as $post_type ) 
			{
			?><div id="tab-<?php echo $post_type; ?>" class="post_source_tab"><?php
			global $post;
			$args = array( 'numberposts' => 500, 'post_type'=>"$post_type" );
			$myposts = get_posts( $args );
			foreach( $myposts as $post ) :	setup_postdata($post); 
				if (has_post_thumbnail()) 
					{ 
				 	$image1 = wp_get_attachment_image_src( get_post_thumbnail_id(),'icon' ); 
					$image = wp_get_attachment_image_src( get_post_thumbnail_id(),'original' );
					?><div class='post_source_entry'>
						<form action="?page=allslider.admin" method="post">
							<input type="hidden" name="action" value="wp_handle_post_upload" />	
							<input type="hidden" name="link" value="<?php echo $image[0]; ?>" />
							<input type="hidden" name="h" value="<?php echo $image[2]; ?>" />
							<input type="hidden" name="w" value="<?php echo $image[1]; ?>" />
							<input type="hidden" name="thumb" value="<?php echo $image1[0]; ?>" />						
							<input type="image" src="<?php echo $image1[0]; ?>" alt="Insert Image" />
						</form>	
					   </div><?php
					}	 
			endforeach;
			?><div class='clear'></div></div><?php
			} ?>
	<div class='clear'></div></div><!-- admin-tabs -->
		</td>
	</tr>
	</table>
	<h2>Picturesets</h2>	
	<table class="form-table">
		<tr valign="top"><th scope="row">Create new Pictureset</th>
			<td>
			<form method="post" action="#">
				<input type="hidden" name="post_id" id="post_id" value="0" />
				<input type="hidden" name="action" id="action" value="allslider_handle_newid" />				
				<label for="newid">Choose a Name for your new Pictureset: </label>
				<input type="text" name="newid" id="newid" />
				<input type="submit" class="button-primary" name="new-id" value="Create new Slideshow" />
			</form>
			</td>
		</tr>
		<tr><th scope="row">Existing Picturesets</th>
		<?php if(!empty($allslider_sliders)) 
			{ ?>
			<td>
				<ul id="pictureset">
				<?php foreach((array)$allslider_sliders as $sliderid => $slid) : ?>
					<li><?php echo "<span class='exist_sliders' style='width:300px; float:left;'>$slid[name]</span>"; ?>
					<a href="?page=allslider.admin&amp;delete_pictureset=<?php echo $slid['id']; ?>" class="button"  >Delete</a></li>
				<?php $picturesets[]=$slid['name']; ?>
				<?php endforeach; ?>
			</ul>
			</td>
			<?php } else {echo "<td>No Sliders</td>"; } ?>	
		</tr>
	</table><br />	
	<?php if(!empty($allslider_images)) : ?>
			<h2>Imagelist</h2>
			<form method="post" action="options.php">
		<?php settings_fields('allslider_images'); ?>
		<p class="filters">Filter: <a href='#' class='filtertab filtertab-active' onclick='filter_list("image_entry"); return false;'>All</a> 
		<?php
		if(isset($picturesets))
			{
			foreach($picturesets as $picset)
				{
				echo "<a class='filtertab' href='#' onclick='filter_list(\"$picset\"); return false;'>$picset</a> ";
				}
			}
		?>
		</p><br />
		<ul class="JqueryUISortable">
<?php
foreach((array)$allslider_sliders as $key => $val) 
	{
	$sl_types[]=$val['name'];
	}
?>
		<?php foreach((array)$allslider_images as $image => $data) : ?>
			<li class="image_entry <?php echo $data['slider_type']; ?>">
				<input type="hidden" name="allslider_images[<?php echo $image; ?>][id]" value="<?php echo $data['id']; ?>" />
				<input type="hidden" name="allslider_images[<?php echo $image; ?>][file]" value="<?php echo $data['file']; ?>" />
				<input type="hidden" name="allslider_images[<?php echo $image; ?>][file_url]" value="<?php echo $data['file_url']; ?>" />
				<input type="hidden" name="allslider_images[<?php echo $image; ?>][thumbnail]" value="<?php echo $data['thumbnail']; ?>" />
				<input type="hidden" name="allslider_images[<?php echo $image; ?>][thumbnail_url]" value="<?php echo $data['thumbnail_url']; ?>" />
				<input type="hidden" name="allslider_images[<?php echo $image; ?>][width]" value="<?php echo $data['width']; ?>" />
				<input type="hidden" name="allslider_images[<?php echo $image; ?>][height]" value="<?php echo $data['height']; ?>" />
				<input type="hidden" name="allslider_images[<?php echo $image; ?>][type]" value="<?php echo $data['type']; ?>" />
				<input type="hidden" name="allslider_images[<?php echo $image; ?>][yid]" value="<?php echo $data['yid']; ?>" />
				
				<div class="lileft">
					<?php if($allslider_images[$image]['type']=="youtube")
						{
						?><img src="http://img.youtube.com/vi/<?php echo $data['yid']; ?>/0.jpg" alt="Video" width="100" /><?php
						}
						else
							if($allslider_images[$image]['type']=="html")
								{
								?><img src="<?php echo get_template_directory_uri(); ?>/images/admin/html.png" alt="HTML Code" /><?php
								}
							else
								{
								?><img src="<?php echo $data['thumbnail_url']; ?>" align="left" /><?php
								}
					?>
				</div>
				<div class="limiddle"><span class="opener"><img src="<?php echo get_template_directory_uri();?>/images/settings.png" alt="Open" /></span></div>
				<div class="liright">					
					<label for="allslider_images[<?php echo $image; ?>][slider_type]"><select id="allslider_images[<?php echo $image; ?>][slider_type]" name="allslider_images[<?php echo $image; ?>][slider_type]"   /> 
						<option></option>
						<?php for($i=0; $i<count($sl_types); $i++)
							{
							echo "<option value='$sl_types[$i]' ";
								if($sl_types[$i]==$data['slider_type']) {echo " selected "; }
							echo ">$sl_types[$i]</option>";
							}
						?>
					</select> The Pictureset</label><input type="submit" style='margin-left:30px;' class="button-primary" value="Update" />					
					<div>
					<label for="allslider_images[<?php echo $image; ?>][caption]">
						<input type="text" id="allslider_images[<?php echo $image; ?>][caption]" name="allslider_images[<?php echo $image; ?>][caption]" value="<?php if(isset($data["caption"])) { echo $data["caption"]; } ?>" /> 
					Captiontext</label>
					<label for="allslider_images[<?php echo $image; ?>][image_links_to]">
						<input type="text" id="allslider_images[<?php echo $image; ?>][image_links_to]" name="allslider_images[<?php echo $image; ?>][image_links_to]" value="<?php if(isset($data['image_links_to'])) { echo $data['image_links_to']; } ?>" class="link_to"  /> Linktarget</label>
					<?php if(isset($data['heading'])) { $data['heading']=str_replace("\"","'",$data['heading']); } ?>
					<label for="allslider_images[<?php echo $image; ?>][heading]">
						<input type="text" id="allslider_images[<?php echo $image; ?>][heading]" name="allslider_images[<?php echo $image; ?>][heading]" value="<?php if(isset($data['heading'])) { echo $data['heading'];  } ?>" /> 
					Headline for: Anything Slider, Accordion, Imagewall</label>
					<label for="allslider_images[<?php echo $image; ?>][subheading]">
						<input type="text" id="allslider_images[<?php echo $image; ?>][subheading]" name="allslider_images[<?php echo $image; ?>][subheading]" value="<?php if(isset($data['subheading'])) { echo $data['subheading']; } ?>" /> 
					Second Headline for: Anything Slider, Accordion</label>
					<label for="allslider_images[<?php echo $image; ?>][text]">
						<textarea style="width:300px; height:200px;" id="allslider_images[<?php echo $image; ?>][text]" name="allslider_images[<?php echo $image; ?>][text]" ><?php if(isset($data['text'])) { echo $data['text']; } ?></textarea> 
					Text for: Anything Slider, Piecemaker, JQuery Image and Textslider</label>
					<br />
					<?php if($data['type']=="youtube")
						{
						?><a href="?page=allslider.admin&amp;delete_youtube=<?php echo $image; ?>" class="button" style="float:right">Delete</a><?php
						}
						else
							{
							?><a href="?page=allslider.admin&amp;delete=<?php echo $image; ?>" class="button" style="float:right">Delete</a><?php
							}
					?>
					</div>
					<div class="clear"></div>
				</div>
				<div class="clear"></div>
			</li>
		<?php endforeach; ?>
		</ul>
		<input type="hidden" name="allslider_images[update]" value="Updated" /><input type="submit"  class="button-primary" value="Update" /> 
		</form>		
		</tbody>
	</table>
	<?php endif; 
	}


function allslider_images_validate($input) 
	{
	foreach((array)$input as $key => $value) 
		{
		if($key != 'update') 
			{
		//	$input[$key]['file_url'] = esc_url($value['file_url']);
			$input[$key]['thumbnail_url'] = esc_url($value['thumbnail_url']);	
			if(isset($value['image_links_to']))
				{
				if($value['image_links_to'])	
					{
					$input[$key]['image_links_to'] = esc_url($value['image_links_to']);
					}
				}
			}
		}
		return $input;
	}


function allslider($type, $name,$position=null)		
	{
	$li="";
	$liend="";
	$args="";	
	$before="";
	$after="";
	$height="300";		
	$output="";
	global $allslider_settings, $allslider_images, $slider_height;
	$slider_height=get_post_custom_values('slider_height');
	$args = wp_parse_args($args, $allslider_settings);	
	$newline = "\n"; 	
	if($position=="Content")
		{
		$width="600px";
		switch ($type)
			{			
			case "cycle2":  
				?>
				<script type="text/javascript">
					jQuery(function($) {
					    jQuery('.slideshow_cycle2').cycle({
					        fx:      'fade',
					        timeout:  2500,
					        prev:    '#cycle-prev',
					        next:    '#cycle-next'
        						    });
					    });
				</script>
				<?php
				$before="<div class='slideshow_cycle2'>";
				$after="</div>";

			case "cycle":  
				?>
				<script type="text/javascript">
					jQuery(function() {
					    jQuery('.slideshow_cycle').cycle({
					        fx: "<?php echo $allslider_settings["cycle_fx"]; ?>",
					        speed:"<?php echo $allslider_settings["cycle_speed"]; ?>",
					        timeout:  "<?php echo $allslider_settings["cycle_timeout"]; ?>",
					        <?php if($allslider_settings["cycle_ponhover"]=="on") { echo " pause:true, "; } ?>
					        <?php if($allslider_settings["cycle_autostart"]=="on") { echo " auto: true, "; } ?>

        						    }); 
					    });
				</script>
				<?php
				$before="<div class='slideshow_cycle'>";
				$after="</div>";
			}
		}
	echo $before;
	$i=0;
	foreach((array)$allslider_images as $image => $data) 
		{
		$i++;
		if($name==$data['slider_type'])
			{
			if(($type=="accordion") OR ($type=="roundabout") OR ($type=="flex")) {$li="<li>";$liend="</li>";}
			if($type=="anything") { $li="<li><div class='slide_element'>"; $liend="</div></li>";}
			if($type=="imagewall") {$li="<div class='wall_entry'><div class='wall_outer'>"; $liend="</div></div>";}			
			echo $li;

			if($type=="bgslider")
				{ 
				echo "{image: '".$data['file_url']."'},";
				}
			if($type=="flex")	
				{
				echo "<img src='".$data['file_url']."' alt='' />";			
				}


			if(($type=="cycle") OR ($type=="nivo"))
				{
				$c_align=" align='left' ";
				if($data['type']!="html")
					{
					echo "<div class='cycle_element'><img src='".$data['file_url']."' alt='' /> ";
					}
				if($data['type']=="html")
					{
					echo "<div class='cycle_element'>".stripslashes($data['file_url']);
					}			
				if($data['heading']!="")
					{
					echo "<h2>".$data['heading']."</h2>";
					}
				if($data['subheading']!="")
					{
					echo "<h3>".$data['subheading']."</h3>";
					}
				}
			if($data['type']=="youtube")
				{
				if(($type!="nivo") AND ($type!="cycle"))
					{
					echo do_shortcode("[youtube width='2000px'   id='".$data['yid']."']");
					}
				}
			if($type=="accordion")
				{
				echo "<div class='divider'></div>";
				if($data['heading']) { 	echo "<h3>".$data['heading']."</h3>"; }
				if($data['subheading']) {	echo "<h4>".$data['subheading']."</h4>"; }
				if($data['image_links_to']!="")
					{	
					echo "<p class='link'><a href='".$data['image_links_to']."'>Read more...</a></p>";	
					}
				}
			if(($type=="cycle") OR ($type=="nivo")) { echo $data['text']."</div>"; } 
			if($type=="anything")
				{
				if(($data['heading']) OR ($data['subheading']) OR ($data['text']))
					{
					echo "<div style='position:absolute; top:0px; left:0px; width:100%; height:100%; '>";
					if($data['heading']) { 	echo "<h3>".$data['heading']."</h3><div class='clear'></div>"; }
					if($data['subheading']) {	echo "<h4>".$data['subheading']."</h4><div class='clear'></div>"; }
					if($data['text']) { 		echo "<p>".$data['text']."</p>"; }
					echo "</div>";
					}
				}
			if($type=="imagewall")	
				{
				echo "<div class='wall_close_me'></div>";
				echo "<h3>".$data['heading']."</h3>";
				}
			echo $liend;			
			}		
		}	
	echo $after;
	if($type=="cycle")
		{
		?>
		<!-- slideshow_cycle -->
		<script type="text/javascript">
			var w=jQuery(document).width();
			var wnew=w/<?php echo $data['width']; ?>;
			var hnew=<?php echo $data['height']; ?>*wnew;
			var hnew=600;
		 //	jQuery(".slideshow_cycle").height(hnew);
		//	jQuery(".cycle_item").height(hnew);
		</script>
		<?php
		}		
	}
function allslider_shortcode($atts) 
	{
	$output="";
	extract(shortcode_atts( array("type" => 'nivo' ,"name"=>''), $atts));
	$allslider_position="Content";
	$output.= allslider( $type="$type",$name="$name" ,$position="Content");
	return $output;
	}
	add_shortcode('allslider', 'allslider_shortcode');